#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: prelude-extras
version: 0.4.0.3
id: prelude-extras-0.4.0.3-FAyB4iuuM7cHXdrLMZtdXq
key: prelude-extras-0.4.0.3-FAyB4iuuM7cHXdrLMZtdXq
license: BSD3
copyright: Copyright (C) 2011-2016 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/prelude-extras
synopsis: Higher order versions of Prelude classes
description:
    Higher order versions of Prelude classes to ease programming with polymorphic recursion and reduce UndecidableInstances
    .
    See <http://flint.cs.yale.edu/trifonov/papers/sqcc.pdf> for further discussion of the approach taken here.
category: Polymorphism, Combinators
author: Edward A. Kmett
exposed: True
exposed-modules:
    Prelude.Extras
abi: 2f570b7005d399e664edcc9f5614e28b
trusted: False
import-dirs: /usr/lib/ghc-8.0.1/site-local/prelude-extras-0.4.0.3
library-dirs: /usr/lib/ghc-8.0.1/site-local/prelude-extras-0.4.0.3
data-dir: /usr/share/i386-linux-ghc-8.0.1/prelude-extras-0.4.0.3
hs-libraries: HSprelude-extras-0.4.0.3-FAyB4iuuM7cHXdrLMZtdXq
depends:
    base-4.9.0.0
haddock-interfaces: /usr/share/doc/haskell-prelude-extras/html/prelude-extras.haddock
haddock-html: /usr/share/doc/haskell-prelude-extras/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"
